Page MenuHomePhabricator

/Create fixes + others
ClosedPublic

Authored by WyldBot on Jan 22 2019, 6:10 PM.

Details

Summary

Upgraded image cropper to latest
Modified cropper settings to work better on mobile and allow nearly any sized image file
Displays are name to users before they save as draft or create post
Uses ternary operators in places to clean up code
Started using template literals to clean up code
Fixed addLineBreak function
Only adds a period to text, if - the text is empty and they are trying to upload a picture.. i.e. we would need to create a draft
Hides comment box and post tools when no post
Adds indention for bullet points

Fixes T302, T239, T241, and T242

Test Plan

Test images on mobile
Try a really large image
Test that comment box and post editing tools are removed when there isnt a post

Diff Detail

Repository
rWCL Web Client
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

WyldBot created this revision.Jan 22 2019, 6:10 PM
WyldBot retitled this revision from Will edit on phab to Create fixes + others.Jan 22 2019, 6:13 PM
WyldBot edited the summary of this revision. (Show Details)
WyldBot edited the test plan for this revision. (Show Details)
WyldBot added a reviewer: CLOVIS.
WyldBot edited the summary of this revision. (Show Details)Jan 22 2019, 6:17 PM
WyldBot retitled this revision from Create fixes + others to /Create fixes + others.
WyldBot edited the summary of this revision. (Show Details)
Info-Screen added inline comments.Jan 22 2019, 6:22 PM
src/app/navBar/navBar.component.ts
92

incorrect indent

Info-Screen requested changes to this revision.Jan 22 2019, 6:22 PM
This revision now requires changes to proceed.Jan 22 2019, 6:22 PM
Harbormaster completed remote builds in B549: Diff 744.
WyldBot marked an inline comment as done.Jan 22 2019, 6:54 PM
CLOVIS resigned from this revision.Jan 25 2019, 12:22 PM

Honestly, this is out of my area of expertise. Sorry.

Info-Screen accepted this revision.Jan 28 2019, 11:06 AM
This revision is now accepted and ready to land.Jan 28 2019, 11:06 AM
This revision was automatically updated to reflect the committed changes.